Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.profile.saml2
Class UnsolicitedSSODecoder

    java.lang.Object
      org.opensaml.ws.message.decoder.BaseMessageDecoder
          org.opensaml.common.binding.decoding.BaseSAMLMessageDecoder
              org.opensaml.saml2.binding.decoding.BaseSAML2MessageDecoder
                  edu.internet2.middleware.shibboleth.idp.profile.saml2.UnsolicitedSSODecoder

All Implemented Interfaces:
  org.opensaml.common.binding.decoding.SAMLMessageDecoder, org.opensaml.ws.message.decoder.MessageDecoder

    public class UnsolicitedSSODecoder

extends org.opensaml.saml2.binding.decoding.BaseSAML2MessageDecoder
implements org.opensaml.common.binding.decoding.SAMLMessageDecoder

Shibboleth 2.x HTTP request parameter-based SSO authentication request message decoder.

This decoder understands and processes a set of defined HTTP request parameters representing a logical SAML 2 SSO authentication request, and builds a corresponding `AuthnRequest` message. This message is then stored in the `SAMLMessageContext` so that it may be processed by other components (e.g. profile handler) that process standard AuthnRequest messages.

.

Field Summary
`String` | `defaultBinding` The binding URI default value.

Constructor Summary
`UnsolicitedSSODecoder(org.opensaml.common.IdentifierGenerator identifierGenerator)` Constructor.

Method Summary
`protected void` | `doDecode(org.opensaml.ws.message.MessageContext messageContext)`
`String` | `getBindingURI()`
`String` | `getDefaultBinding()` Returns the default ACS binding.
`protected String` | `getIntendedDestinationEndpointURI(org.opensaml.common.binding.SAMLMessageContext samlMsgCtx)`
`protected boolean` | `isIntendedDestinationEndpointURIRequired(org.opensaml.common.binding.SAMLMessageContext samlMsgCtx)`
`void` | `setDefaultBinding(String binding)` Sets the default ACS binding.

Methods inherited from class org.opensaml.saml2.binding.decoding.BaseSAML2MessageDecoder
`decode, extractEntityId, extractRequestInfo, extractResponseInfo, populateMessageContext, populateMessageIdIssueInstantIssuer, populateRelyingPartyMetadata`

Methods inherited from class org.opensaml.common.binding.decoding.BaseSAMLMessageDecoder
`checkEndpointURI, compareEndpointURIs, getActualReceiverEndpointURI, getURIComparator, isMessageSigned, setURIComparator`

Methods inherited from class org.opensaml.ws.message.decoder.BaseMessageDecoder
`getParserPool, logDecodedMessage, processSecurityPolicy, setParserPool, unmarshallMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.opensaml.ws.message.decoder.MessageDecoder
`decode`

Field Detail

### defaultBinding

    public String defaultBinding

  The binding URI default value.

Constructor Detail

### UnsolicitedSSODecoder

    public UnsolicitedSSODecoder(org.opensaml.common.IdentifierGenerator identifierGenerator)

  Constructor.

  Parameters:
    `identifierGenerator` - the IdentifierGenerator instance to use.

Method Detail

### getBindingURI

    public String getBindingURI()

  Specified by:
    `getBindingURI` in interface `org.opensaml.common.binding.decoding.SAMLMessageDecoder`

### isIntendedDestinationEndpointURIRequired

    protected boolean isIntendedDestinationEndpointURIRequired(org.opensaml.common.binding.SAMLMessageContext samlMsgCtx)

  Specified by:
    `isIntendedDestinationEndpointURIRequired` in class `org.opensaml.common.binding.decoding.BaseSAMLMessageDecoder`

### getIntendedDestinationEndpointURI

    protected String getIntendedDestinationEndpointURI(org.opensaml.common.binding.SAMLMessageContext samlMsgCtx)
                                                throws org.opensaml.ws.message.decoder.MessageDecodingException

  Overrides:
    `getIntendedDestinationEndpointURI` in class `org.opensaml.saml2.binding.decoding.BaseSAML2MessageDecoder`
  Throws:
    `org.opensaml.ws.message.decoder.MessageDecodingException`

### getDefaultBinding

    public String getDefaultBinding()

  Returns the default ACS binding.

  Returns:
    default binding URI

### setDefaultBinding

    public void setDefaultBinding(String binding)

  Sets the default ACS binding.

  Parameters:
    `binding` - default binding URI

### doDecode

    protected void doDecode(org.opensaml.ws.message.MessageContext messageContext)
                     throws org.opensaml.ws.message.decoder.MessageDecodingException

  Specified by:
    `doDecode` in class `org.opensaml.ws.message.decoder.BaseMessageDecoder`
  Throws:
    `org.opensaml.ws.message.decoder.MessageDecodingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2011 Internet2. All Rights Reserved.